using FastBlog.Core.Models;
using FastBlog.Core.Models.Blogs;

namespace FastBlog.Core.Abstractions.Repositories.Blogs;

public interface IBlogMetaRepository
{
    Task<BlogMeta?> Get(string? slug);
    Task<BlogMeta?> GetForEdit(int id);
    Task<bool> Delete(int id);
    Task<Result<BlogMeta, BusinessError>> Add(BlogMeta meta);
    Task<Result<BlogMeta, BusinessError>> Update(BlogMeta meta);
}